# Doka

Документация к проекту "Креатив-букинг" ([ltd.z3r0ing.ru](http://ltd.z3r0ing.ru/))

# Общее понимание

"Креатив-букинг" - это платформа для бронирования креативных площадок.

Имеет следующую функциональность:
- Каталог креативных площадок, с возможностью поиска и фильтрации
- Онлайн-бронирование креативных площадок
- Отзывы арендаторов о креативных площадках
- Личный кабинет для арендодателей
- Личный кабинет для арендаторов

# "Под капотом"

Платформа представляет из себя веб-сервис. Разделена на две части: клиентская и серверная.

## Клиентская часть
**TODO**

Ссылка на описание(**TODO**)

[Ссылка на репозиторий](https://gitlab.com/0day_1/ldt-23/frontend)

## Серверная часть

Серверная часть состоит из нескольких самостоятельных веб-приложений (модулей) объединённых одной общей точкой входа.
Каждый модуль предоставляет свою собственное API и предоставляет собственную определённую функциональность.
Модули могут так же взаимодействовать между собой в ходе работы с данными.
Из вне использовать API модулей можно через точку входа - API Gateway.

### Gateway

Gateway - является веб-приложением обеспечивающим авторизацию пользователей и перенаправление их запросов к различным модулям.
Является единной точкой входа, позволяя авторизовывать каждый запрос.

Ссылка на описание(**TODO**)

[Ссылка на репозиторий](https://gitlab.com/0day_1/ldt-23/gateway)

### Модуль "Каталог площадок"

Возможность просматривать список площадок. Должен быть предусмотрен функционал фильтрации.
Возможность изменить их и удалять, а так же добавлять новые.
Обеспечивать работу с прикреплёными файлами: презентации и картинки.

Ссылка на описание(**TODO**)

[Ссылка на репозиторий](https://gitlab.com/0day_1/ldt-23/catalog)

### Модуль "Бронирование"

Управлять данными о расписании площадок: когда они работают, учитывать праздники и другое. В расписание так же нужно включить существующие брони, возможность создавать новые, удалять и изменять. Работа с офертами.

[Ссылка на описание](./booking.md)

[Ссылка на репозиторий](https://gitlab.com/0day_1/ldt-23/booking)

### Модуль "Отзывы"

Работа с отзывами: создание, добавление и удаление.

[Ссылка на описание](./feedback.md)

[Ссылка на репозиторий](https://gitlab.com/0day_1/ldt-23/feedback)

### Модуль "Профили"

Работа с данными о пользователях

[Ссылка на описание](./profiles.md)

[Ссылка на репозиторий](https://gitlab.com/0day_1/ldt-23/profiles)